CREATE TABLE asm_filters_b (
    FILTER_ID                      NUMBER(18, 0) ,
    DB_CACHE_ENABLE_FLAG           VARCHAR2(4)   ,
    OWNER                          VARCHAR2(320) ,
    CLASSIFICATION                 VARCHAR2(120) ,
    USAGE_STATE                    VARCHAR2(320) ,
    CFG_TEMPLATE_ID                NUMBER        ,
    TASK_LIST_ID                   NUMBER(18, 0) ,
    QUICK_SETUP_TASK_LIST_ID       NUMBER(18, 0) ,
    SERVICE_ID                     NUMBER(18, 0) ,
    FILTER_SHORT_NAME              VARCHAR2(640) ,
    BUSINESS_OBJECT_ID             NUMBER(18, 0) ,
    OPTION_TYPE_CODE               VARCHAR2(120) ,
    APPLICATION_ID                 NUMBER(18, 0) ,
    MODULE_ID                      VARCHAR2(128) ,
    IMAGE                          VARCHAR2(960) ,
    IMAGE_FILE                     BLOB          ,
    FILTER_FILE                    BLOB          ,
    ENTERPRISE_ID                  NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)  ,
    PUBLISHED_DATE                 TIMESTAMP(6)  ,
    CREATED_BY                     VARCHAR2(256) ,
    CREATION_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATED_BY                VARCHAR2(256) ,
    LAST_UPDATE_DATE               TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    HELP_TOPIC_ID                  VARCHAR2(4000),
    DELIVERY_RELEASE_VERSION       VARCHAR2(320) ,
    AVAILABLE_RELEASE_VERSION      VARCHAR2(320) ,
    EXPIRATION_RELEASE_VERSION     VARCHAR2(320) ,
    PUBLISH_IN_WHATSNEW_FLAG       VARCHAR2(4)   ,
    WHATSNEW_RELEASE_VERSION       VARCHAR2(320) ,
    SEED_DATA_SOURCE               VARCHAR2(2048),
    ORA_SEED_SET1                  VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                  VARCHAR2(4)       NOT NULL,
    OPT_IN_TASK_SHORT_NAME         VARCHAR2(960) ,
    EXT_SOURCE_NAME                VARCHAR2(120) ,
    EXT_SOURCE_ID                  VARCHAR2(120) ,
    EXT_SOURCE_LAST_UPDATED_BY     VARCHAR2(256) ,
    EXT_SOURCE_LAST_UPDATE_DATE    TIMESTAMP(6)  ,
    AVAILABLE_FLAG                 VARCHAR2(4)   ,
    PROMO_CODE_FLAG                VARCHAR2(4)   ,
    FILTER_ID                      NUMBER(18, 0) ,
    DB_CACHE_ENABLE_FLAG           VARCHAR2(4)   ,
    OWNER                          VARCHAR2(320) ,
    CLASSIFICATION                 VARCHAR2(120) ,
    USAGE_STATE                    VARCHAR2(320) ,
    CFG_TEMPLATE_ID                NUMBER        ,
    TASK_LIST_ID                   NUMBER(18, 0) ,
    QUICK_SETUP_TASK_LIST_ID       NUMBER(18, 0) ,
    SERVICE_ID                     NUMBER(18, 0) ,
    FILTER_SHORT_NAME              VARCHAR2(640) ,
    BUSINESS_OBJECT_ID             NUMBER(18, 0) ,
    OPTION_TYPE_CODE               VARCHAR2(120) ,
    APPLICATION_ID                 NUMBER(18, 0) ,
    MODULE_ID                      VARCHAR2(128) ,
    IMAGE                          VARCHAR2(960) ,
    IMAGE_FILE                     BLOB          ,
    FILTER_FILE                    BLOB          ,
    ENTERPRISE_ID                  NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)  ,
    PUBLISHED_DATE                 TIMESTAMP(6)  ,
    CREATED_BY                     VARCHAR2(256) ,
    CREATION_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATED_BY                VARCHAR2(256) ,
    LAST_UPDATE_DATE               TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    HELP_TOPIC_ID                  VARCHAR2(4000),
    DELIVERY_RELEASE_VERSION       VARCHAR2(320) ,
    AVAILABLE_RELEASE_VERSION      VARCHAR2(320) ,
    EXPIRATION_RELEASE_VERSION     VARCHAR2(320) ,
    PUBLISH_IN_WHATSNEW_FLAG       VARCHAR2(4)   ,
    WHATSNEW_RELEASE_VERSION       VARCHAR2(320) ,
    SEED_DATA_SOURCE               VARCHAR2(2048),
    ORA_SEED_SET1                  VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                  VARCHAR2(4)       NOT NULL,
    OPT_IN_TASK_SHORT_NAME         VARCHAR2(960) ,
    EXT_SOURCE_NAME                VARCHAR2(120) ,
    EXT_SOURCE_ID                  VARCHAR2(120) ,
    EXT_SOURCE_LAST_UPDATED_BY     VARCHAR2(256) ,
    EXT_SOURCE_LAST_UPDATE_DATE    TIMESTAMP(6)  ,
    AVAILABLE_FLAG                 VARCHAR2(4)   ,
    PROMO_CODE_FLAG                VARCHAR2(4)   
);
